Subject: bug#32840: linux-libre 4.18.9: shpchp is no longer a module (now: built-in)

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 26 Sep 2018 08:21:13 +0200

Mark H Weaver <[email-masked]> writes:

> Nils Gillmann <[email-masked]> writes:
>
>> at taler we need shpchp as a module in the initrd.
>>
>> Before version 4.18.x, shpchp was a module we've build in guix' linux-libre,
>> you were able to just specify it for the initrd.
>>
>> With 4.18.9, this module became a compile-in/built-in (see linux
>> commit log).  I want to avoid maintaining yet another kernel
>> definition for future complications if I can.  Can we get this module
>> built in by default?
>
> Done in commit fe73352e8073ea0a0e6f6b5591f24395671998ab on master.
> Closing this bug now, but please reopen if appropriate.

I don’t understand why building it as a module is needed when upstream
decided to turn it into a built-in feature.

Could you please explain?

-- 
Ricardo